GET V1/Inventory.{ext}/IndustryNewsDetails?IndustrynewsId={IndustrynewsId}
This API is used to Get IndustryNewsDetails.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| IndustrynewsId |
IndustryNewsId Ex: 1,2 |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
returns all the industry news base upon vendor Id and Industryid
EMSResponseOfEMS.Inventory.Entities.IndustryNewsDetails| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Inventory.Entities.IndustryNewsDetails |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
Sample:
{
"responseType": "IndustryNewsDetails",
"response": {
"industryNewsDetailList": [
{
"industryNewsId": "sample string 1",
"vendorID": "sample string 2",
"newsTitle": "sample string 3",
"newsDescription": "sample string 4",
"newsFrom": "sample string 5",
"newsImage": "sample string 6",
"newsSource": "sample string 7",
"createdBy": "sample string 8",
"createdDate": "sample string 9",
"updatedBy": "sample string 10",
"updatedDate": "sample string 11",
"status": "sample string 12"
},
{
"industryNewsId": "sample string 1",
"vendorID": "sample string 2",
"newsTitle": "sample string 3",
"newsDescription": "sample string 4",
"newsFrom": "sample string 5",
"newsImage": "sample string 6",
"newsSource": "sample string 7",
"createdBy": "sample string 8",
"createdDate": "sample string 9",
"updatedBy": "sample string 10",
"updatedDate": "sample string 11",
"status": "sample string 12"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Sample:
Binary JSON content. See http://bsonspec.org for details.